OTBGUI_FUSIONOFCLASSIFICATIONS(1)

NAME
otbgui_FusionOfClassifications - OTB FusionOfClassifications application

DESCRIPTION
This is the FusionOfClassifications application, version 5.2.0 Fuses several classifications maps of the same image on the basis of class labels.

Complete documentation: http://www.orfeo-toolbox.org/Applications/FusionOfClassifications.html

  Parameters:

-progress
    <boolean> Report progress

 -il <string list> Input classifications (mandatory)

-method
    <string> Fusion method [majorityvoting/dempstershafer] (mandatory, default value is majorityvoting)

-method.dempstershafer.cmfl <string list>
    Confusion Matrices (mandatory)

-method.dempstershafer.mob
    <string> Mass of belief measurement [precision/recall/accuracy/kappa] (mandatory, default value is precision)

-nodatalabel
    <int32> Label for the NoData class (mandatory, default value is 0)

-undecidedlabel
    <int32> Label for the Undecided class (mandatory, default value is 0)

 -out <string> [pixel] The output classification image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is uint8) (mandatory)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_FusionOfClassifications -il classification1.tif classification2.tif classification3.tif -method dempstershafer -method.dempstershafer.cmfl classification1.csv classification2.csv classification3.csv -method.dempstershafer.mob precision -nodatalabel 0 -undecidedlabel 10 -out classification_fused.tif

SEE ALSO
The full documentation for otbgui_FusionOfClassifications is maintained as a Texinfo manual. If the info and otbgui_FusionOfClassifications programs are properly installed at your site, the command

    info otbgui_FusionOfClassifications

should give you access to the complete manual.